summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 35edb8b..ae4952f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -11,5 +11,15 @@ then
exit 1
fi
+# Check for support of AC_PROG_OBJCXX macro. If missing emulate it.
+mkdir -p actest
+cat << EOF > actest/configure.ac
+AC_INIT([actest], [1.0.0])
+AC_PROG_OBJCXX
+EOF
+[ -f acinclude.m4 ] && rm acinclude.m4
+autoreconf -W error actest 2>/dev/null || echo "AC_DEFUN([AC_PROG_OBJCXX],[echo ' - ObjC++ hack - not support by this platform, but not needed either.'])" > acinclude.m4
+rm -Rf actest
+
# Now run autoreconf
${AUTORECONF:-autoreconf} -fiv --warnings=no-unsupported